#3864 closed defect (fixed)

rtems-tester does not work with gdb simulators

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: tool Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

It appears that something has broken with the rtems-tester on gdb simulators. On the latest run, I had to kill the tester by hand when it hung. On other times, it appears to abort with a lock issue.

Change History (6)

comment:1 Changed on Feb 4, 2020 at 8:33:45 PM by Joel Sherrill

Owner: set to Chris Johns
Status: newassigned

comment:2 Changed on Mar 27, 2020 at 4:53:21 AM by Chris Johns

I m looking into this and I cannot get psim-run to work with the latest tools and kernel. I get ...

$ rtems-test --rtems-bsp=psim-run `find . -name hello.exe`
RTEMS Testing - Tester, 5.0.not_released
 Command Line: /opt/work/rtems/5/bin/rtems-test --rtems-bsp=psim-run ./powerpc-rtems5/c/psim/testsuites/samples/hello.exe
 Host: FreeBSD hihi 12.1-RELEASE-p2 FreeBSD 12.1-RELEASE-p2 GENERIC amd64
 Python: 3.7.6 (default, Jan 30 2020, 01:18:54) [Clang 6.0.1 (tags/RELEASE_601/final 335540)]
Host: FreeBSD-12.1-RELEASE-p2-amd64-64bit-ELF (FreeBSD hihi 12.1-RELEASE-p2 FreeBSD 12.1-RELEASE-p2 GENERIC amd64 amd64)
[1/1] p:0 f:0 u:0 e:0 I:0 B:0 t:0 i:0 W:0 | powerpc/psim: hello.exe
[1/1] p:0 f:0 u:0 e:0 I:0 B:0 t:0 i:0 W:0 | powerpc/psim: hello.exe
Result: invalid    Time: 0:00:01.002526 hello.exe
=>  run: /opt/work/rtems/5/bin/powerpc-rtems5-run -f /opt/work/rtems/5/share/rtems/tester/rtems/testing/bsps/psim-device-tree ./powerpc-rtems5/c/psim/testsuites/samples/hello.exe
] core_find_mapping() - access to unmaped address, attach a default map to handle this - addr=0xfc131000 nr_bytes=0x4 processor=0x8e7a40 cia=0x15d8
] 

Passed:        0
Failed:        0
User Input:    0
Expected Fail: 0
Indeterminate: 0
Benchmark:     0
Timeout:       0
Invalid:       1
Wrong Version: 0
Wrong Build:   0
Wrong Tools:   0
----------------
Total:         1
Invalid:
 hello.exe
Average test time: 0:00:01.286947
Testing time     : 0:00:01.286947

Has the psim device tree been updated?

comment:3 Changed on Mar 27, 2020 at 5:45:26 AM by Chris Johns

Crashing at ..

    t = openpic_read(&OpenPIC->Global.Feature_Reporting0);
    15d4:       39 2b 10 00     addi    r9,r11,4096
        __asm__ __volatile__("lwbrx %0,0,%1; eieio" : "=r" (ret) :

comment:4 Changed on Mar 27, 2020 at 6:19:54 AM by Chris Johns

The rtems-tools master works. I will now check my tools build.

comment:5 Changed on Mar 29, 2020 at 11:03:48 PM by Chris Johns <chrisj@…>

In 753eb94/rtems-tools:

tester/gdb: Add lock timing and remote fetching registers.

  • Add timing for the locks to aid performance profiling
  • Remove fetching registers as the MI parser is slow on pyton2

Updates #3864

comment:6 Changed on Mar 29, 2020 at 11:04:57 PM by Chris Johns

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.